package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.Date;

public class EnterEvaluateDto  implements Serializable{
	
	private Integer id;
	private String enterNumber;//企业入驻编码
	private String virAddress;//公司位置(楼宇+楼层房间号组合)
	private String virName;//企业名称
	private String applyName;//申请人
	private String applyTel;//申请电话
	
	private String status;//状态(0客服主管，1客服，2工程人员，3通过，4拒绝)
	
	private String reName1;//负责人1
	private String reName2;//负责人2
	private String reTel1;//负责人1电话号码
	private String reTel2;//负责人2电话号码
	private String reEmail1;//负责人1邮箱
	private String reEmail2;//负责人2邮箱
	private String rePower1;//物品放行1\账单推送1
	private String rePower2;//物品放行2\账单推送2
	
	private String pushWay;//推送方式
	private String evaluate;//评价
	private String isEvaluate;//是否评价
	
	private String floors;//入驻楼层
	private String rooms;//入驻房间号
	private Date createTimeStr;//创建时间
	private String opinion;//审核意见
	private String buildName;//楼宇名称
	private String opinionUser;//审核人
	private Date opinionTimeStr;//审核时间
	private String floorAndRooms;//楼层房间号拼起来的

	private String createTime;
	private String opinionTime;
	
	private String signingTime;//签约时间
	private String contExpireTime;//合同到期时间
	private String email;//申请人邮箱
	private String address;//企业地址

	public Date getCreateTimeStr() {
		return createTimeStr;
	}

	public void setCreateTimeStr(Date createTimeStr) {
		this.createTimeStr = createTimeStr;
	}

	public Date getOpinionTimeStr() {
		return opinionTimeStr;
	}

	public void setOpinionTimeStr(Date opinionTimeStr) {
		this.opinionTimeStr = opinionTimeStr;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getOpinionTime() {
		return opinionTime;
	}

	public void setOpinionTime(String opinionTime) {
		this.opinionTime = opinionTime;
	}

	public String getFloorAndRooms() {
		return floorAndRooms;
	}

	public void setFloorAndRooms(String floorAndRooms) {
		this.floorAndRooms = floorAndRooms;
	}

	public String getOpinionUser() {
		return opinionUser;
	}

	public void setOpinionUser(String opinionUser) {
		this.opinionUser = opinionUser;
	}

	public String getBuildName() {
		return buildName;
	}

	public void setBuildName(String buildName) {
		this.buildName = buildName;
	}

	public String getOpinion() {
		return opinion;
	}

	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}

	public String getFloors() {
		return floors;
	}

	public void setFloors(String floors) {
		this.floors = floors;
	}

	public String getRooms() {
		return rooms;
	}

	public void setRooms(String rooms) {
		this.rooms = rooms;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getEnterNumber() {
		return enterNumber;
	}
	public void setEnterNumber(String enterNumber) {
		this.enterNumber = enterNumber;
	}
	public String getVirAddress() {
		return virAddress;
	}
	public void setVirAddress(String virAddress) {
		this.virAddress = virAddress;
	}
	public String getVirName() {
		return virName;
	}
	public void setVirName(String virName) {
		this.virName = virName;
	}
	public String getApplyName() {
		return applyName;
	}
	public void setApplyName(String applyName) {
		this.applyName = applyName;
	}
	public String getApplyTel() {
		return applyTel;
	}
	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getReName1() {
		return reName1;
	}
	public void setReName1(String reName1) {
		this.reName1 = reName1;
	}
	public String getReName2() {
		return reName2;
	}
	public void setReName2(String reName2) {
		this.reName2 = reName2;
	}
	public String getReTel1() {
		return reTel1;
	}
	public void setReTel1(String reTel1) {
		this.reTel1 = reTel1;
	}
	public String getReTel2() {
		return reTel2;
	}
	public void setReTel2(String reTel2) {
		this.reTel2 = reTel2;
	}
	public String getReEmail1() {
		return reEmail1;
	}
	public void setReEmail1(String reEmail1) {
		this.reEmail1 = reEmail1;
	}
	public String getReEmail2() {
		return reEmail2;
	}
	public void setReEmail2(String reEmail2) {
		this.reEmail2 = reEmail2;
	}
	public String getRePower1() {
		return rePower1;
	}
	public void setRePower1(String rePower1) {
		this.rePower1 = rePower1;
	}
	public String getRePower2() {
		return rePower2;
	}
	public void setRePower2(String rePower2) {
		this.rePower2 = rePower2;
	}
	public String getPushWay() {
		return pushWay;
	}
	public void setPushWay(String pushWay) {
		this.pushWay = pushWay;
	}
	public String getEvaluate() {
		return evaluate;
	}
	public void setEvaluate(String evaluate) {
		this.evaluate = evaluate;
	}
	
	public String getIsEvaluate() {
		return isEvaluate;
	}
	public void setIsEvaluate(String isEvaluate) {
		this.isEvaluate = isEvaluate;
	}
	public EnterEvaluateDto() {
		super();
	}
	public EnterEvaluateDto(Integer id, String enterNumber, String virAddress,
			String virName, String applyName, String applyTel, String status,
			String reName1, String reName2, String reTel1, String reTel2,
			String reEmail1, String reEmail2, String rePower1, String rePower2,
			String pushWay, String evaluate, String isEvaluate) {
		super();
		this.id = id;
		this.enterNumber = enterNumber;
		this.virAddress = virAddress;
		this.virName = virName;
		this.applyName = applyName;
		this.applyTel = applyTel;
		this.status = status;
		this.reName1 = reName1;
		this.reName2 = reName2;
		this.reTel1 = reTel1;
		this.reTel2 = reTel2;
		this.reEmail1 = reEmail1;
		this.reEmail2 = reEmail2;
		this.rePower1 = rePower1;
		this.rePower2 = rePower2;
		this.pushWay = pushWay;
		this.evaluate = evaluate;
		this.isEvaluate = isEvaluate;
	}

	public String getSigningTime() {
		return signingTime;
	}

	public void setSigningTime(String signingTime) {
		this.signingTime = signingTime;
	}

	public String getContExpireTime() {
		return contExpireTime;
	}

	public void setContExpireTime(String contExpireTime) {
		this.contExpireTime = contExpireTime;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	

}
